function [lambda_vec, error_train, error_val] = validationCurve(X, y, Xval, yval)

%   VALIDATIONCURVE Generate the train and validation errors needed to
%   plot a validation curve that we can use to select lambda
%   VALIDATIONCURVE(X, y, Xval, yval) returns the train and validation errors
%   (in error_train, error_val) for different values of lambda.
%   You are given the training set (X,y) and validation set (Xval, yval).
%               error_train(i), and error_val(i) should give 
%               you the errors obtained after training with lambda = lambda_vec(i)

% Initializations 
lambda_vec = [0 0.001 0.003 0.01 0.03 0.1 0.3 1 3 10]';% you should not change this
error_train = zeros(length(lambda_vec), 1);
error_val = zeros(length(lambda_vec), 1);
for i = 1:length(lambda_vec)
    lambda = lambda_vec(i);
    % Determine le meilleur vecteur Theta en utilisant le training set
    theta = trainLinearReg(X, y, lambda);
    % Jamais de régularisation pour training error & cross validation error
    % Calcul de l'erreur sur tous les exemples du training set
    [error_train(i),~] = linearRegCostFunction(X, y, theta, 0);
    % Calcul de l'erreur sur tous les exemples du cross validation set
    [error_val(i),~]= linearRegCostFunction(Xval, yval, theta, 0);
end

end
